diff -Nurp pkgutils-5.32.0/pkgmk.conf pkgutils-5.32.0-sslnocheck/pkgmk.conf
--- pkgutils-5.32.0/pkgmk.conf	2008-03-01 04:18:03.000000000 -0500
+++ pkgutils-5.32.0-sslnocheck/pkgmk.conf	2008-04-09 12:17:46.000000000 -0400
@@ -10,6 +10,7 @@ export CXXFLAGS="-O2 -march=i686 -pipe"
 # PKGMK_PACKAGE_DIR="$PWD"
 # PKGMK_WORK_DIR="$PWD/work"
 # PKGMK_DOWNLOAD="no"
+# PKGMK_DOWNLOAD_SSLCHECK="no"
 # PKGMK_IGNORE_FOOTPRINT="no"
 # PKGMK_NO_STRIP="no"
 
diff -Nurp pkgutils-5.32.0/pkgmk.in pkgutils-5.32.0-sslnocheck/pkgmk.in
--- pkgutils-5.32.0/pkgmk.in	2008-03-01 04:18:03.000000000 -0500
+++ pkgutils-5.32.0-sslnocheck/pkgmk.in	2008-04-09 12:18:27.000000000 -0400
@@ -87,9 +87,15 @@ download_file() {
 
 	LOCAL_FILENAME=`get_filename $1`
 	LOCAL_FILENAME_PARTIAL="$LOCAL_FILENAME.partial"
-	DOWNLOAD_OPTS="--passive-ftp --no-directories --tries=3 --waitretry=3 \
-		--directory-prefix=$PKGMK_SOURCE_DIR \
-		--output-document=$LOCAL_FILENAME_PARTIAL"
+	if [ -n $PKGMK_DOWNLOAD_SSLCHECK ]; then
+		alias wget="wget --passive-ftp --no-directories --tries=3 --waitretry=3 \
+			--no-check-certificate --directory-prefix=$PKGMK_SOURCE_DIR \
+			--output-document=$LOCAL_FILENAME_PARTIAL"
+	else
+		alias wget="wget --passive-ftp --no-directories --tries=3 --waitretry=3 \
+			--directory-prefix=$PKGMK_SOURCE_DIR \
+			--output-document=$LOCAL_FILENAME_PARTIAL"
+	fi
 
 	if [ -f "$LOCAL_FILENAME_PARTIAL" ]; then
 		info "Partial download found, trying to resume"
@@ -101,7 +107,7 @@ download_file() {
 	BASENAME=`get_basename $1`
 	for REPO in ${PKGMK_SOURCE_MIRRORS[@]}; do
 		REPO="`echo $REPO | sed 's|/$||'`"
-		wget $RESUME_CMD $DOWNLOAD_OPTS $REPO/$BASENAME
+		wget $RESUME_CMD $REPO/$BASENAME
 		error=$?
 		if [ $error == 0 ]; then
 			break
@@ -110,7 +116,7 @@ download_file() {
 
 	if [ $error != 0 ]; then
 		while true; do
-			wget $RESUME_CMD $DOWNLOAD_OPTS $1
+			wget $RESUME_CMD $1
 			error=$?
 			if [ $error != 0 ] && [ "$RESUME_CMD" ]; then
 				info "Partial download failed, restarting"
@@ -662,6 +668,7 @@ PKGMK_INSTALL="no"
 PKGMK_RECURSIVE="no"
 PKGMK_DOWNLOAD="no"
 PKGMK_DOWNLOAD_ONLY="no"
+PKGMK_DOWNLOAD_SSLCHECK="no"
 PKGMK_UP_TO_DATE="no"
 PKGMK_UPDATE_FOOTPRINT="no"
 PKGMK_IGNORE_FOOTPRINT="no"
